# Raumplaner.py

from grafikfenster import *

from badewanne import Badewanne
from bett import Bett
from dusche import Dusche
from herd import Herd
from klosett import Klosett
from sessel import Sessel
from schrank import Schrank
from sofa import Sofa
from stuhl import Stuhl
from tisch import Tisch

### ---------------------------------------------------
import time
import _thread

class MyApp(wx.App):
    """Testanwendung fuer Raumplaner-Grafik
       ShellFrame: Interaktion mit laufender Anwendung
       FillingFrame: Anzeige der Umgebung"""
    def OnInit(self):
        self.fenster = GrafikFenster(None, "Raumplaner-Grafik")
        self.SetTopWindow(self.fenster)
        self.fenster.Show(True)
        self.fenster.panel.Refresh()
        self.fenster.ZeigeShellFrame()
        #self.fenster.ZeigeFillingFrame()
        ##Zeichenflaeche.GibZeichenflaeche().SetBGImage('beispielbild.png',0.8)
        ##Zeichenflaeche.GibZeichenflaeche().SetBGColor('BLACK')
        self.TestAnwendung()
        self.AlleZeigen()
        return True

    def TestAnwendung(self):
        """Allein fuer die Testanwendung:"""
        global badewanne, bett, dusche, herd, klosett, schrank, sessel, sofa, stuhl, tisch
        global alle
        badewanne=Badewanne()
        bett=Bett()
        dusche=Dusche()
        herd=Herd()
        klosett=Klosett()
        sessel=Sessel()
        schrank=Schrank()
        sofa=Sofa()
        stuhl=Stuhl()
        tisch=Tisch()
        alle=[badewanne, bett, dusche, herd, klosett, schrank, sessel, sofa, stuhl, tisch]

    def Aktion(self, sec):
        for moebel in alle:
            time.sleep(sec)
            moebel.Zeige()
            time.sleep(sec)
            moebel.BewegeHorizontal(50)
            time.sleep(sec)
            moebel.BewegeVertikal(100)
            time.sleep(sec)
            moebel.Drehe(30)
            time.sleep(2*sec)
            moebel.Verberge()
        print("fertig!")

    def AlleZeigen(self):
        _thread.start_new_thread(self.Aktion, (0.5,))

### ---------------------------------------------------
if __name__ == '__main__':
    app = MyApp(redirect=False)
    # Parameterwert True, wenn Ausgaben in der Standard E/A angezeigt werden sollen
    app.MainLoop()
